DEVICE_DESTROY(9)

NAME
device_destroy - removes a device that was created with device_create

SYNOPSIS

void device_destroy(struct class * class, dev_t devt);

ARGUMENTS

class
    pointer to the struct class that this device was registered with

devt
    the dev_t of the device that was previously registered

DESCRIPTION

This call unregisters and cleans up a device that was created with a call to device_create.

COPYRIGHT